Subject: Re: Win32 vim / gvim with (Cygnus) gcc?
From: [email-masked] (Glauber Ribeiro)

26 Jan 1998 13:11:35 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Cook, John" <[email-masked]>
Cc: [email-masked], Vim Development list <[email-masked]>,
        gnuwin32 <[email-masked]>

Hello, John

I did it today, using the sources for vim 5.0u, following your gracious
advice from your previous email. I tested it for an hour or so, and
found 2 problems:

(1) This is not a problem per se, but an annoyance: i couldn't get any
colors. Setting TERM to linux had no effect, vim would say something
like "terminal linux not found in terminfo" and start up as
builtin_ansi. It didn't seem to be trying termcap at all.

(2) The help files showed up with trailing ^M. I'm not sure the
"textmode" option is working properly.

Glauber

Cook, John wrote:
> 
> Glauber Ribeiro wrote:
> >I'm also thinking that approaching the problem by the other side
> >(compiling vim with GCC using the Unix sources rather than the win32
> >sources) might work.
> 
> Yes, this is the way to go.  GnuWin32 is an environment for building
> and running Unix tools under a Win32 OS.  Within GnuWin32's bash shell,
> it is usually possible to build Unix tools transparently from their
> original sources.  Under GnuWin32, Vim already builds 'out of the box'
> from the Unix sources without using a special makefile.  The result is
> a 'native' GnuWin32 Vim that understands Unix-style pathnames, etc.
> I don't see the need for Makefile.cyg.
> 
> Anyone on the GnuWin32 list care to comment?
> 
> --John

-- 
Glauber Ribeiro --- IWS
mailto://[email-masked]
http://www.iws-irms.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".